Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QStyleOptionTabV2 Class Reference

The QStyleOptionTabV2 class is used to describe the parameters necessary for drawing a tabs in Qt 4.1 or above. More...

     #include <QStyleOptionTabV2>

Inherits: QStyleOptionTab.

Inherited by: QStyleOptionTabV3.

This class was introduced in Qt 4.1.

- List of all members, including inherited members

## Public Types

enum | StyleOptionVersion { Version }

## Public Functions

| QStyleOptionTabV2 ()
| QStyleOptionTabV2 ( const QStyleOptionTabV2 & other )
| QStyleOptionTabV2 ( const QStyleOptionTab & other )
QStyleOptionTabV2 & | operator= ( const QStyleOptionTab & other )

- 2 public functions inherited from QStyleOption

## Public Variables

QSize | iconSize

- 7 public variables inherited from QStyleOptionTab
- 7 public variables inherited from QStyleOption

## Detailed Description

The QStyleOptionTabV2 class is used to describe the parameters necessary for drawing a tabs in Qt 4.1 or above.

An instance of the QStyleOptionTabV2 class has type SO_Tab and version 2. The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles. The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

If you create your own QStyle subclass, you should handle both QStyleOptionTab and QStyleOptionTabV2. One way to achieve this is to use the QStyleOptionTabV2 copy constructor. For example:

         if (const QStyleOptionTab *tabOption =
                qstyleoption_cast<const QStyleOptionTab *>(option)) {
             QStyleOptionTabV2 tabV2(*tabOption);

             // draw the tab using tabV2
        }

In the example above: If `tabOption`'s version is 1, the extra member (iconSize) will be set to an invalid size for `tabV2`. If `tabOption`'s version is 2, the constructor will simply copy the `tab`'s iconSize.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOptionTab and QStyleOption.

## Member Type Documentation

### enum QStyleOptionTabV2::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionTabV2::Version` | `2` | 2

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleOptionTabV2::QStyleOptionTabV2 ()

Constructs a QStyleOptionTabV2.

### QStyleOptionTabV2::QStyleOptionTabV2 ( const QStyleOptionTabV2 & other )

Constructs a copy of the other style option.

### QStyleOptionTabV2::QStyleOptionTabV2 ( const QStyleOptionTab & other )

Constructs a QStyleOptionTabV2 copy of the other style option which can be either of the QStyleOptionTabV2 or QStyleOptionTab types.

If the other style option's version is 1, the new style option's `iconSize` is set to an invalid value. If its version is 2, its `iconSize` value is simply copied to the new style option.

### QStyleOptionTabV2 & QStyleOptionTabV2::operator= ( const QStyleOptionTab & other )

Assigns the other style option to this QStyleOptionTabV2. The other style option can be either of the QStyleOptionTabV2 or QStyleOptionTab types.

If the other style option's version is 1, this style option's `iconSize` is set to an invalid size. If its version is 2, its `iconSize` value is simply copied to this style option.

## Member Variable Documentation

### QSize QStyleOptionTabV2::iconSize

This variable holds the size for the icons.

The default value is QSize(-1, -1), i.e. an invalid size; use QStyle::pixelMetric() to find the default icon size for tab bars.

See also QTabBar::iconSize().